"PkgMgr.exe has been deprecated" message may appear when you try to install Compliance Accelerator or Discovery Accelerator 11.n on a Windows 2012 R2 computer

  • Article ID:100032921
  • Modified Date:
  • Product(s):

Problem

The Windows Package Manager may display an error message when you try to install the 11. n version of the Compliance Accelerator or Discovery Accelerator server software on a computer that is running Windows Server 2012 R2. The installation subsequently fails.

Error Message

Note: PkgMgr.exe has been deprecated. Please update your scripts to use DISM.exe to install, uninstall, configure, and update features and packages for Windows.

Solution

Perform the following steps to install ASP.NET 3.5 on the computer, and then try installing the Compliance Accelerator or Discovery Accelerator server software again.
  1. On the Start page, click the Server Manager tile.
  2. In Server Manager, select Dashboard, and then click Add roles and features.
  3. In the Add Roles and Features Wizard, on the Before you begin page, click Next.
  4. On the Select installation type page, select Role-based or feature-based installation, and then click Next.
  5. On the Select destination server page, select Select a server from the server pool, select your server, and then click Next.
  6. On the Select server roles page, select Web Server (IIS), and then click Next.
  7. On the Select features page, click Next.
  8. On the Web Server Role (IIS) page, click Next.
  9. On the Select role services page, note the preselected role services that are installed by default, expand the Application Development node, and then select ASP.NET 3.5.
  10. On the Summary of Features to Install page, confirm your selections, and then click Install.

Was this content helpful?

Get Support